cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/plans \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/plans"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 784,
"customer": {
"id": 45645,
"name": "Cliente Teste",
"type": "CUSTOMER"
},
"planDesc": "Silver plan",
"franchise": 10,
"price": 5.99,
"operatorDiffChargeFlag": "T",
"payPerUseFlag": "T",
"sharingType": 1,
"sharedFranchise": 0,
"activationPrice": 2.01,
"megabyteExcPrice": 0,
"automaticBlocking": false,
"loyaltyType": 0,
"loyaltyTime": 1,
"penalty": "0",
"nbVirtualAccounts": 1,
"automaticRenewal": true,
"roaming": true,
"motOperators": [
{
"name": "TESTE OPERADORA",
"baseName": "BASE OPERADORA",
"idOperator": 1
}
],
"planExpirationMonths": 12,
"planType": "ALLOWANCE",
"iscaDurationInDays": 0,
"iscaMaxRenewal": 0,
"chargeIscaOnTransfer": true,
"motOperatorId": 1,
"creditMB": 2,
"externalId": 64564564
}
]{
"errors": "Parameter not found"
}{
"errors": "Parameter not found"
}MoT
Lista todos os contratos de um cliente MoT
Lista todos os contratos de um cliente MoT
GET
/
broker
/
plans
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Example:
"client_id"
Token gerado.
Example:
"access_token"
Query Parameters
Identificador do plano
Example:
"id"
Descrição do plano
Example:
"planDesc"
Filtro de alerta de consumo
Example:
"lastAlertDateFrom"
Contratos a pagar e a receber
Example:
" true (Contratos a pagar), false (Contrato a receber)"
Unidade que deseja retorno
Example:
"MB"
Número da página para paginação.
Example:
0
Tamanho da página para paginação.
Example:
24
Response
OK

